View Issue Details

IDProjectCategoryView StatusLast Update
0014511LazarusLCLpublic2009-09-07 10:42
ReporterBurkhard Carstens Assigned ToPaul Ishenin  
PrioritynormalSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
Platformi386OSlinux 
Product Version0.9.27 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014511: Closing modal form using "ENTER" key somtimes crashes the program
DescriptionClosing modal form using "ENTER" key sometimes crashes the program. If that happens, an exception dialog is shown, which sometimes immediately disappears together with the whole app (i.e. another exception while displaying the exception dialog).
This seems to happen, if the mouse is moved inside the modal form which then is closed using the "ENTER" or "ESC" key. If the mouse is over the ok or cancel button while pressing "ENTER" it doesn't crash but still prints Gtk-CRITICAL messages on console.

Gtk-CRITICAL **: file gtkobject.c: line 1080 (gtk_object_get_data): assertion `GTK_IS_OBJECT (object)' failed.

Gtk-CRITICAL **: file gtkobject.c: line 1080 (gtk_object_get_data): assertion `GTK_IS_OBJECT (object)' failed.

Gtk-CRITICAL **: file gtkobject.c: line 1080 (gtk_object_get_data): assertion `GTK_IS_OBJECT (object)' failed.
TApplication.HandleException Access violation
  Stack trace:
  $40248BF1
  $081BCECA
  $080F43E8
  $0815596F
  $08155994
  $08155ABC
  $08155B0E
  $0807BCCB
  $0807B917
  $0807D57F
  $0807D9BF
  $0808F293
  $0807D97A
  $08054C92

Gtk-CRITICAL **: file gtkwidget.c: line 3722 (gtk_widget_get_parent_window): assertion `widget->parent != NULL' failed.

Gtk-WARNING **: gtk_signal_disconnect_by_func(): could not find handler (0x81D8280) containing data (0x0)
Steps To Reproduce* run attached project from a console (to see the error messages)
* press enter to show modal form
* move mouse into modal form (somewhere above the buttons)
* press enter to close the modal form
-> one of three possible errors happen:
 1. Gtk-Critical messages in console
 2. Access Violation Dialog is shown
 3. Application exits
Additional Informationfpc: fpc-fixes_2_4-r13601

happens with
* lazarus-fixes_0_9_28-r21559
* lazarus-fixes_0_9_28-r21559 + fix in trunk r21569
TagsNo tags attached.
Fixed in Revision21590
LazTarget0.9.30
WidgetsetGTK
Attached Files

Activities

2009-09-05 15:48

 

modal2.zip (2,894 bytes)

Paul Ishenin

2009-09-06 15:38

manager   ~0030479

Please test and close if ok.

Burkhard Carstens

2009-09-07 10:42

reporter   ~0030506

This seems fixed, thanks.

Tested with
fpc-fixes_2_4-r13601
lazarus-fixes_0_9_28-r21559 + r21568,21569,21573,21590 from trunk.

Issue History

Date Modified Username Field Change
2009-09-05 15:34 Burkhard Carstens New Issue
2009-09-05 15:34 Burkhard Carstens Widgetset => GTK
2009-09-05 15:48 Burkhard Carstens File Added: modal2.zip
2009-09-06 15:38 Paul Ishenin Fixed in Revision => 21590
2009-09-06 15:38 Paul Ishenin LazTarget => 0.9.30
2009-09-06 15:38 Paul Ishenin Status new => resolved
2009-09-06 15:38 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-09-06 15:38 Paul Ishenin Resolution open => fixed
2009-09-06 15:38 Paul Ishenin Assigned To => Paul Ishenin
2009-09-06 15:38 Paul Ishenin Note Added: 0030479
2009-09-06 15:38 Paul Ishenin Target Version => 0.9.30
2009-09-07 10:42 Burkhard Carstens Status resolved => closed
2009-09-07 10:42 Burkhard Carstens Note Added: 0030506